Bug 511522 - FTBFS mod_dnssd-0.6-2.fc11
FTBFS mod_dnssd-0.6-2.fc11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apr (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On:
Blocks: F12FTBFS
  Show dependency treegraph
 
Reported: 2009-07-14 23:14 EDT by FTBFS
Modified: 2009-11-05 19:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-26 18:19:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (201.75 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details
build.log (8.65 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details
mock.log (1.01 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details
root.log (286.97 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details
build.log (8.41 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details
mock.log (1.05 KB, text/plain)
2009-07-14 23:14 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2009-07-14 23:14:25 EDT
mod_dnssd-0.6-2.fc11.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2009-07-14 23:14:27 EDT
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow
Comment 2 FTBFS 2009-07-14 23:14:30 EDT
Created attachment 352275 [details]
root.log

root.log for i386
Comment 3 FTBFS 2009-07-14 23:14:31 EDT
Created attachment 352276 [details]
build.log

build.log for i386
Comment 4 FTBFS 2009-07-14 23:14:32 EDT
Created attachment 352277 [details]
mock.log

mock.log for i386
Comment 5 FTBFS 2009-07-14 23:14:34 EDT
Created attachment 352278 [details]
root.log

root.log for x86_64
Comment 6 FTBFS 2009-07-14 23:14:35 EDT
Created attachment 352279 [details]
build.log

build.log for x86_64
Comment 7 FTBFS 2009-07-14 23:14:36 EDT
Created attachment 352280 [details]
mock.log

mock.log for x86_64
Comment 8 Matt Domsch 2009-10-22 15:55:49 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=119819
failed in koji.
Comment 9 Matt Domsch 2009-10-22 16:29:11 EDT
This package failed to build in Koji for Fedora 12, and at this point in the release cycle (Beta is out), we'll have to live with the F11 build of the package unless there is another bug in your package which would prevent the release of Fedora 12.

If your package is now obsolete and should be removed from Fedora 12 and future, please follow the End of Life instructions here:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

If your package is not obsolete, and you wish it to remain in the distribution for Fedora 13, please update your package's devel branch in CVS so that it builds, build it in koji, and close this bug as "CLOSED RAWHIDE", including the link to the koji build that succeeded.  You can do this now, while final touches are being placed on Fedora 12 without affecting F12.

Shortly after F12 is out, but before the F13 Alpha release, all F12FTBFS-blocking bugs will be re-evaluated.  At that time, if progress has not been made to fix the package, it will be removed from the distribution for F13.
Comment 10 Lennart Poettering 2009-10-23 15:07:49 EDT
Uh, mod_dnssd does not use libuuid itself in anyway. This seems to be a missing dependency in apr-devel. Reassigning.
Comment 11 Bojan Smojver 2009-10-23 18:41:29 EDT
What exactly is the problem here? Some lib not being pulled in or apu-1-config not reporting libs correctly?
Comment 12 Lennart Poettering 2009-10-24 15:52:57 EDT
$ pkg-config --libs apr-1
-lapr-1 -luuid -lcrypt -lpthread
$ rpm -qf /usr/lib/pkgconfig/apr-1.pc 
apr-devel-1.3.9-2.fc12.i686
$ yum deplist apr-devel-1.3.9-2.fc12.i686
Loaded plugins: dellsysidplugin2, refresh-packagekit, refresh-updatesd
Finding dependencies: 
package: apr-devel.i686 1.3.9-2.fc12
  dependency: /usr/bin/pkg-config
   provider: pkgconfig.i686 1:0.23-9.fc12
  dependency: libapr-1.so.0
   provider: apr.i686 1.3.9-2.fc12
  dependency: /bin/sh
   provider: bash.i686 4.0.33-1.fc12
  dependency: pkgconfig
   provider: pkgconfig.i686 1:0.23-9.fc12
  dependency: apr = 1.3.9-2.fc12
   provider: apr.i686 1.3.9-2.fc12

Seems the dependencies on libuuid-devel and libcrypt-devel are missing from the apr-devel RPM. A package that just pulls in apr-devel becomes unbuildable each time apr-devel changes its necessary dependencies without expressing that in the rpm dependencies list.
Comment 13 Bojan Smojver 2009-10-24 19:57:41 EDT
I get the thing with libuuid-devel, but I don't see libcrypt-devel on the list of packages here:

http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/

Isn't that part of glibc?
Comment 14 Bojan Smojver 2009-10-24 20:30:59 EDT
BTW, have you tried using apr-1-config and apu-1-config scripts with --libs? That should give you the correct thing back.
Comment 15 Bojan Smojver 2009-10-25 02:09:52 EDT
I'm building -3 now, which should have uuid/crypt dependencies taken out of .pc file. When it's done, give it a go against it and let me know.
Comment 16 Bojan Smojver 2009-10-25 02:24:18 EDT
Available here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1766611
Comment 17 Lennart Poettering 2009-10-26 14:24:42 EDT
(In reply to comment #14)
> BTW, have you tried using apr-1-config and apu-1-config scripts with --libs?
> That should give you the correct thing back.  

Yepp. That seems to work. So I guess this may now be closed as CLOSED RAWHIDE.
Comment 18 Bojan Smojver 2009-10-26 16:46:57 EDT
Could you also please try building using pkg-config against the latest package?
Comment 19 Lennart Poettering 2009-10-26 17:02:02 EDT
Oops, sorry, that was actually what I tried.

I tried only the pkg-config stuff with the new build from koji, not the xxx-1-config scripts. And it is the pkg-config stuff that now works. Sorry for the confusion.
Comment 20 Bojan Smojver 2009-10-26 17:43:27 EDT
OK, thanks for testing.

Do I need to do something to get this package into F-12 final? Or do I just close the bug and continue?
Comment 21 Matt Domsch 2009-10-26 17:59:55 EDT
is the package in rawhide now functional?  Simply being FTBFS at launch isn't that big a deal - you can built it for rawhide and be happy that it's fixed for F13.  But if the package isn't functional in rawhide, but suddenly is because you fixed the build failure, then yes, you can request it get tagged for F12 final.  http://fedorahosted.org/fedora-infrastructure and file a ticket.
Comment 22 Bojan Smojver 2009-10-26 18:19:01 EDT
Yeah, the package works in Rawhide and F-12.

So, we'll just line it up for updates in F-12.

Closing this now.
Comment 23 Fedora Update System 2009-10-26 19:11:41 EDT
apr-1.3.9-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/apr-1.3.9-2.fc11
Comment 24 Fedora Update System 2009-10-26 19:12:16 EDT
apr-1.3.9-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/apr-1.3.9-2.fc10
Comment 25 Fedora Update System 2009-11-05 19:07:46 EST
apr-1.3.9-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-11-05 19:08:07 EST
apr-1.3.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.